SageTV Community  

Go Back   SageTV Community > SageTV Development and Customizations > SageTV v9 Customizations

Notices

SageTV v9 Customizations This forums is for discussing and sharing user-created modifications for the SageTV version 9 application created by using the SageTV Studio or through the use of external plugins. Use this forum to discuss plugins for SageTV version 9 and newer.

Reply
 
Thread Tools Search this Thread Display Modes
  #1  
Old 07-22-2019, 03:33 PM
gilded07's Avatar
gilded07 gilded07 is offline
Sage Aficionado
 
Join Date: Sep 2007
Posts: 412
Updates Available

I was just looking through my installed plugins and noticed quite a few of them indicate there is an update available (see attached). I thought SageTV prompted you to update when one was available.

Should I go and manually update all of these? I do enjoy the latest features and patches but you know...if it ain't broke...

Suggestions appreciated
Attached Images
File Type: jpg Update_Available.JPG (122.8 KB, 54 views)
__________________
Headless Server: Q8400 2.66ghz / MSI P45 Neo2-FR / 4GB
Storage: 120 SSD for SageTV / 3TB for TV recordings / atom-based NAS Ubuntu 12.04 4TB in RAID 5 for movies & music
Tuners: HDHR3 x 2
Extenders: Nvidia Shield / HD300 / HD200 / 3 placeshifters
SageTV Client: G620, Win 10 64, 4GB, ML03B, MCE remote & EventGhost, K400 KB
Server Software: Win 10 64, SageTV 9.1.5.683, Java 7_71, Real VNC
Other: Commercial Detector UI, Sage Recording Extender
Reply With Quote
  #2  
Old 07-24-2019, 07:00 AM
tmiranda's Avatar
tmiranda tmiranda is offline
SageTVaholic
 
Join Date: Jul 2005
Location: Central Florida, USA
Posts: 5,815
Quote:
Originally Posted by gilded07 View Post
I was just looking through my installed plugins and noticed quite a few of them indicate there is an update available (see attached). I thought SageTV prompted you to update when one was available.

Should I go and manually update all of these? I do enjoy the latest features and patches but you know...if it ain't broke...

Suggestions appreciated
If it isn't broken, fix it until it is.
__________________

Sage Server: 8th gen Intel based system w/32GB RAM running Ubuntu Linux, HDHomeRun Prime with cable card for recording. Runs headless. Accessed via RD when necessary. Four HD-300 Extenders.
Reply With Quote
  #3  
Old 07-25-2019, 12:56 AM
routerunner's Avatar
routerunner routerunner is offline
Sage Icon
 
Join Date: May 2008
Location: Wiltshire, UK
Posts: 1,375
Quote:
Originally Posted by gilded07 View Post
I was just looking through my installed plugins and noticed quite a few of them indicate there is an update available (see attached). I thought SageTV prompted you to update when one was available.

Should I go and manually update all of these? I do enjoy the latest features and patches but you know...if it ain't broke...

Suggestions appreciated
If it's a library, STV doesn't automatically notify you of an update available, topically libraries are installed/updated and used by main plugins only.

From the list I can see one of the libraries I maintain (Jsoup), which is required by the DVB-S Importer plugin, but apparently that library is also used by other plugins I'm not aware of.

Cheers
Eddy
__________________

Automatic Power Off | Squeezeslave | DVB-S Importer | DVB Decrypter & Card Client | Tuner Preroll


Every man is a damn fool for at least five minutes every day; wisdom consists in not exceeding the limit. ~ Elbert Hubbard
Reply With Quote
  #4  
Old 08-26-2019, 09:19 PM
cupp cupp is offline
Sage User
 
Join Date: Feb 2008
Location: Michigan
Posts: 41
Eddy,

I believe that your jsoup file isn't available for download anymore. I just did an install with the new x64 version and all plugins that I go to install that fail are due to being unable to down load your file. If you look on the forum other people are having the same problem.
__________________
Amd 780g/athlonII x4 635/3 x 1 tb sata/4 gb ddr2 800/win7 32/sage 9/3xmvp/2xclient/2xhd200/
4xhd300/2xhvr2250/2xhdhrprime
Reply With Quote
  #5  
Old 08-27-2019, 05:25 AM
routerunner's Avatar
routerunner routerunner is offline
Sage Icon
 
Join Date: May 2008
Location: Wiltshire, UK
Posts: 1,375
Quote:
Originally Posted by cupp View Post
Eddy,

I believe that your jsoup file isn't available for download anymore. I just did an install with the new x64 version and all plugins that I go to install that fail are due to being unable to down load your file. If you look on the forum other people are having the same problem.
The latest JSoup v1.11.3 is currently on my FTP server, however the previous version isn't and wondering whether STV is complaining about that?

When I get home I will push the previous version as well and see whether this gets you guys going

Cheers
Eddy
__________________

Automatic Power Off | Squeezeslave | DVB-S Importer | DVB Decrypter & Card Client | Tuner Preroll


Every man is a damn fool for at least five minutes every day; wisdom consists in not exceeding the limit. ~ Elbert Hubbard
Reply With Quote
  #6  
Old 08-27-2019, 08:09 AM
RonBoyd's Avatar
RonBoyd RonBoyd is offline
Sage Aficionado
 
Join Date: Aug 2009
Location: Denver, Colorado
Posts: 321
Quote:
Originally Posted by routerunner View Post
The latest JSoup v1.11.3 is currently on my FTP server, however the previous version isn't and wondering whether STV is complaining about that?
I installed Windows v9 x64 several weeks ago. I checked and Jsoup v1.11.3 is installed. It does, however, say in (upper case letters) prominently: "DO NOT INSTALL SEPARATELY"

I don't, of course, know which Plugin I added that installed this particular Plugin.
Reply With Quote
  #7  
Old 08-27-2019, 12:40 PM
routerunner's Avatar
routerunner routerunner is offline
Sage Icon
 
Join Date: May 2008
Location: Wiltshire, UK
Posts: 1,375
Quote:
Originally Posted by RonBoyd View Post
I installed Windows v9 x64 several weeks ago. I checked and Jsoup v1.11.3 is installed. It does, however, say in (upper case letters) prominently: "DO NOT INSTALL SEPARATELY"

I don't, of course, know which Plugin I added that installed this particular Plugin.
The prominent message is quite typical for libraries and not meant to scary anyone it is just there to warn you that libraries are not intended to be loaded separately instead are dependencies of a plugin.

STV doesn't warn you when a new library version is available for precisely that reason because only plugins should be responsible of updating private or shared libraries when required.

The JSoup library in question is shared between the DVB-S Importer and Phoenix API plugins and recently, because of an HTTPS issue I was experiencing with the DVB-S Importer, I had to upgrade from 1.7.1 (still a minimum requirement for Phoenix API) to 1.11.3 which is now the minimum required by the DVB-S Importer.

I just checked my FTP server and regrettably found an issue possibly due to a recent firmware upgrade, however I reckon the issue has now been fixed, my apologies for any problem caused

Cheers
Eddy
__________________

Automatic Power Off | Squeezeslave | DVB-S Importer | DVB Decrypter & Card Client | Tuner Preroll


Every man is a damn fool for at least five minutes every day; wisdom consists in not exceeding the limit. ~ Elbert Hubbard
Reply With Quote
  #8  
Old 08-27-2019, 03:20 PM
RonBoyd's Avatar
RonBoyd RonBoyd is offline
Sage Aficionado
 
Join Date: Aug 2009
Location: Denver, Colorado
Posts: 321
Quote:
Originally Posted by routerunner View Post
The prominent message is quite typical for libraries and not meant to scary anyone it is just there to warn you that libraries are not intended to be loaded separately instead are dependencies of a plugin.
Oh! I wasn't concerned. In fact, I would not have even known about it had I not been snoopy. Anyway, I was simply adding my 2 to the conversation.
Reply With Quote
  #9  
Old 09-01-2019, 10:49 PM
cupp cupp is offline
Sage User
 
Join Date: Feb 2008
Location: Michigan
Posts: 41
Quote:
Originally Posted by routerunner View Post
The prominent message is quite typical for libraries and not meant to scary anyone it is just there to warn you that libraries are not intended to be loaded separately instead are dependencies of a plugin.

STV doesn't warn you when a new library version is available for precisely that reason because only plugins should be responsible of updating private or shared libraries when required.

The JSoup library in question is shared between the DVB-S Importer and Phoenix API plugins and recently, because of an HTTPS issue I was experiencing with the DVB-S Importer, I had to upgrade from 1.7.1 (still a minimum requirement for Phoenix API) to 1.11.3 which is now the minimum required by the DVB-S Importer.

I just checked my FTP server and regrettably found an issue possibly due to a recent firmware upgrade, however I reckon the issue has now been fixed, my apologies for any problem caused

Cheers
Eddy
Phoenix install no longer has the jsoup download problem.

Thanks Eddy
__________________
Amd 780g/athlonII x4 635/3 x 1 tb sata/4 gb ddr2 800/win7 32/sage 9/3xmvp/2xclient/2xhd200/
4xhd300/2xhvr2250/2xhdhrprime
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
No more EPG updates? xjim1 SageTV EPG Service 6 06-23-2017 07:11 PM
P2 Updates sflamm Phoenix 33 10-07-2013 02:33 PM
EPG Updates rickgillyon SageTV United Kingdom 0 04-12-2013 02:36 AM


All times are GMT -6. The time now is 11:19 PM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
Copyright 2003-2005 SageTV, LLC. All rights reserved.